PHP Manual
Prev |  | Next

# xmlrpc_is_fault

(PHP 4 >= 4.3.0, PHP 5)

xmlrpc_is_fault -- Determines if an array value represents an XMLRPC fault

## Description

bool xmlrpc_is_fault ( array arg )

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

## Parameters

`arg`

  Array returned by xmlrpc_decode().

## Return Values

Returns `TRUE` if the argument means fault, `FALSE` otherwise. Fault description is available in `$arg["faultString"]`, fault code is in `$arg["faultCode"]`.

## Examples

See example by xmlrpc_encode_request().

## See Also

xmlrpc_decode()

Prev | Home | Next
xmlrpc_get_type | Up | xmlrpc_parse_method_descriptions